import { LitElement } from 'lit';
import { Subscription } from 'rxjs';
import { mutantChanges } from '../lib/mutant-changes';
export class RealTimeElement extends LitElement {
    shouldReactivate() {
        return true;
    }
    reactivate() {
        this.requestUpdate();
    }
    #subscription = new Subscription();
    connectedCallback() {
        super.connectedCallback();
        this.#subscription.add(mutantChanges.subscribe(() => this.shouldReactivate() && this.reactivate()));
    }
    disconnectedCallback() {
        super.disconnectedCallback();
        this.#subscription.unsubscribe();
    }
}
//# sourceMappingURL=real-time-element.js.map